<%@ Page Language="C#" AutoEventWireup="True" CodeBehind="view_tour.aspx.cs" Inherits="MYAPP.pano.view_tour" %>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title></title>
<link href="/CSS/main.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="/js/odialog.js"></script>
<script src="/pano/swfkrpano.js"></script>
<script type="text/javascript">
var oWindow=window.opener;
	function krpano() 
	{
			return document.getElementById("krpanoSWFObject");
	}
		function navtour(_Tour_ID)
	{
		var swf = createswf("/project/"+_Tour_ID+"/epano.aspx", "krpanoSWFObject", "100%", "100%");
		swf.addVariable("xml", "../"+_Tour_ID+"/tour.xml");
		swf.addParam("wmode", "opaque");
		swf.embed("krpanoDIV");
	}
	
	function navtourscene(_Tour_ID,_Scene_ID)
	{
		var swf = createswf("/project/"+_Tour_ID+"/epano.aspx", "krpanoSWFObject", "100%", "100%");
		swf.addVariable("xml", "../"+_Tour_ID+"/tour_xml_"+_Scene_ID+".aspx");
		swf.addParam("wmode", "opaque");
		swf.embed("krpanoDIV");
	}
	function initload()
	{
		krpano().call("lookat("+<%=Request.QueryString["ath"]%>+","+<%=Request.QueryString["atv"]%>+")");
	}
</script>
<style>
body {
	font-family:Arial, Helvetica, sans-serif;
	font-size:10px;
	color:#FFFFFF;
	padding:0;
	margin:0px; overflow-y:hidden; overflow-x:hidden;
}
a {
	color:#AAAAAA;
	text-decoration:underline;
}
a:hover {
	color:#FFFFFF;
	text-decoration:underline;
}
</style>
</head>
<body scroll="no" onload="window.focus();">
  <table width="100%" cellspacing="2" border="1" cellpadding="0" bordercolor="#CCCCCC" height="100%"
            class="board_kong">
    <tr>
      <td height="100%" valign="top"><table cellspacing="1" cellpadding="0" width="100%" border="0" height="100%">
          <tr>
            <td align="right" style="border-bottom: #000000 1px solid; height: 24px"><table class="title_table">
                <tr>
                  <td align="right" style="color:#900">
                 旋转场景,屏幕中间十字位置为设定的坐标<input type="button" class="width80px"  onclick="oWindow.SetValue('Scene_ID',Number(krpano().get('Set.Scene_ID')));oWindow.SetValue('ath',Number(krpano().get('view.hlookat')).toFixed(2));oWindow.SetValue('atv',Number(krpano().get('view.vlookat')).toFixed(2));window.close();" value="设置坐标"/>
                 <input type="button" class="width80px" value="关闭窗口" onClick="window.close();">
                  </td>
                </tr>
              </table></td>
          </tr>
          <tr>
            <td height="100%"><div id="krpanoDIV" style="height:100%">
	<noscript><table width="100%" height="100%"><tr valign="middle"><td><center>ERROR:<br><br>Javascript not activated<br><br></center></td></tr></table></noscript>
</div></td>
          </tr>
        </table></td>
    </tr>
  </table>
<script>
	var viewer = createPanoViewer({swf:"/project/<%=_Tour_ID%>/epano.aspx", id:"krpanoSWFObject", target:"krpanoDIV"});
	//viewer.useHTML5("whenpossible");		// incomment to use the HTML5 krpanoJS viewer always when possible (Safari5)
	viewer.addVariable("xml", "gtour_xml_<%=Request.QueryString["Scene_ID"]%>.aspx");
	viewer.addParam("wmode", "opaque");
	viewer.embed();
</script>
</body>
</html>
